Package org.eclipse.net4j.util.concurrent

## Class OnePendingExecutor

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.OnePendingExecutor

- All Implemented Interfaces:
    `java.util.concurrent.Executor`

      public class OnePendingExecutor
      extends java.lang.Object
      implements java.util.concurrent.Executor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OnePendingExecutor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(java.lang.Runnable command)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnePendingExecutor

          public OnePendingExecutor()

  - ### Method Detail

    - #### execute

          public void execute​(java.lang.Runnable command)

      Specified by:
        `execute` in interface `java.util.concurrent.Executor`